Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Gentoo Linux - Fail to emerge 9999 version of PCSX2
#1
Hello, sorry if sometimes i don't speak english very well, i'm french. I have problem and gentoo community don't have success to help me.

I fail when i would like to emerge the last version of PCSX2:
Code:
fulgurance@MSI-GS73VR-6RF ~ $ sudo emerge --ask games-emulation/pcsx2
Mot de passe :

* IMPORTANT: 15 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U *] games-emulation/pcsx2-9999 [1.4.0]

Would you like to merge these packages? [Yes/No] yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) games-emulation/pcsx2-9999::gentoo
>>> Unpacking source...
* Fetching https://github.com/PCSX2/pcsx2.git ...
git fetch https://github.com/PCSX2/pcsx2.git +HEAD:refs/git-r3/HEAD
git symbolic-ref refs/git-r3/games-emulation/pcsx2/0/__main__ refs/git-r3/HEAD
* Checking out https://github.com/PCSX2/pcsx2.git to /var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999 ...
git checkout --quiet refs/git-r3/HEAD
GIT update -->
  repository:               https://github.com/PCSX2/pcsx2.git
  at the commit:            201c9cd2a449128ee19d01983a0241fae849c03d
>>> Source unpacked in /var/tmp/portage/games-emulation/pcsx2-9999/work
>>> Preparing source in /var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999 ...

* Requested wxWidgets:        3.0
* Using wxWidgets:            gtk2-unicode-3.0

>>> Working in BUILD_DIR: "/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DARCH_FLAG= -DDISABLE_BUILD_DATE=TRUE -DDISABLE_PCSX2_WRAPPER=TRUE -DEXTRA_PLUGINS=FALSE -DOPTIMIZATION_FLAG= -DPACKAGE_MODE=TRUE -DXDG_STD=TRUE -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_LIBRARY_PATH=/usr/lib32/pcsx2 -DDOC_DIR=/usr/share/doc/pcsx2-9999 -DEGL_API=FALSE -DGTK3_API=FALSE -DPLUGIN_DIR=/usr/lib32/pcsx2 -DSDL2_API=FALSE -DWX28_API=FALSE -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build/gentoo_toolchain.cmake -DCMAKE_TOOLCHAIN_FILE=cmake/linux-compiler-i386-multilib.cmake /var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Disabling the inclusion of the binary compile date.
-- Building with GNU GCC
-- Enable the building of po files by default in Release build !!!
-- Cross compilation is enabled.
-- Compiling a i386 build on a x86_64 host.
-- Found ALSA: /usr/lib32/libasound.so (found version "1.1.2")
-- Found Freetype: /usr/lib32/libfreetype.so (found version "2.7.1")
-- Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1")
-- Found Git: /usr/bin/git (found version "2.10.2")
-- Looking for lzma_auto_decoder in /usr/lib32/liblzma.so
-- Looking for lzma_auto_decoder in /usr/lib32/liblzma.so - found
-- Looking for lzma_easy_encoder in /usr/lib32/liblzma.so
-- Looking for lzma_easy_encoder in /usr/lib32/liblzma.so - found
-- Looking for lzma_lzma_preset in /usr/lib32/liblzma.so
-- Looking for lzma_lzma_preset in /usr/lib32/liblzma.so - found
-- Found LibLZMA: /usr/include (found version "5.2.3")
-- Found OpenGL: /usr/lib32/libGL.so
-- Found ZLIB: /usr/lib32/libz.so (found version "1.2.11")
-- Found PNG: /usr/lib32/libpng.so (found version "1.6.27+apng")
-- Could NOT find Vtune (missing:  VTUNE_LIBRARIES VTUNE_INCLUDE_DIRS)
-- Found wxWidgets: -L/usr/lib32;-pthread;;;-lwx_baseu-3.0;-lwx_gtk2u_core-3.0;-lwx_gtk2u_adv-3.0 (found version "3.0.2")
-- Found Libc: /usr/lib32/librt.so;/usr/lib32/libdl.so;/usr/lib32/libm.so
-- Found PkgConfig: i686-pc-linux-gnu-pkg-config (found version "0.28")
-- AIO found
-- LIBUDEV found
-- PORTAUDIO found
-- SOUNDTOUCH found
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - found
-- Found Threads: TRUE
-- Found SDL: /usr/lib32/libSDL.so (found version "1.2.15")
-- Looking for XOpenDisplay in /usr/lib32/libX11.so;/usr/lib32/libXext.so
-- Looking for XOpenDisplay in /usr/lib32/libX11.so;/usr/lib32/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib32/libX11.so
-- Found GTK2_GTK: /usr/lib32/libgtk-x11-2.0.so
CMake Error at cmake/SelectPcsx2Plugins.cmake:20 (message):
 Skip build of onepad: miss some dependencies:check these libraries -> sdl2,
 X11, gtk2
Call Stack (most recent call first):
 cmake/SelectPcsx2Plugins.cmake:228 (print_dep)
 CMakeLists.txt:62 (include)


-- Configuring incomplete, errors occurred!
See also "/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build/CMakeFiles/CMakeOutput.log".
* ERROR: games-emulation/pcsx2-9999::gentoo failed (configure phase):
*   cmake failed
*
* Call stack:
*     ebuild.sh, line  115:  Called src_configure
*   environment, line 3735:  Called cmake-utils_src_configure
*   environment, line 1035:  Called _cmake_execute_optionally 'src_configure'
*   environment, line  298:  Called enable_cmake-utils_src_configure
*   environment, line 1397:  Called die
* The specific snippet of code:
*       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
*
* If you need support, post the output of `emerge --info '=games-emulation/pcsx2-9999::gentoo'`,
* the complete build log and the output of `emerge -pqv '=games-emulation/pcsx2-9999::gentoo'`.
* The complete build log is located at '/var/tmp/portage/games-emulation/pcsx2-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/games-emulation/pcsx2-9999/temp/environment'.
* Working directory: '/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build'
* S: '/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999'

>>> Failed to emerge games-emulation/pcsx2-9999, Log file:

>>>  '/var/tmp/portage/games-emulation/pcsx2-9999/temp/build.log'

* Messages for package games-emulation/pcsx2-9999:

* ERROR: games-emulation/pcsx2-9999::gentoo failed (configure phase):
*   cmake failed
*
* Call stack:
*     ebuild.sh, line  115:  Called src_configure
*   environment, line 3735:  Called cmake-utils_src_configure
*   environment, line 1035:  Called _cmake_execute_optionally 'src_configure'
*   environment, line  298:  Called enable_cmake-utils_src_configure
*   environment, line 1397:  Called die
* The specific snippet of code:
*       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
*
* If you need support, post the output of `emerge --info '=games-emulation/pcsx2-9999::gentoo'`,
* the complete build log and the output of `emerge -pqv '=games-emulation/pcsx2-9999::gentoo'`.
* The complete build log is located at '/var/tmp/portage/games-emulation/pcsx2-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/games-emulation/pcsx2-9999/temp/environment'.
* Working directory: '/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999_build'
* S: '/var/tmp/portage/games-emulation/pcsx2-9999/work/pcsx2-9999'
Reply

Sponsored links

#2
Hello cher compatriote Smile Let's practice English

In short, onepad requires SDL2. It would be nice to upgrade from SDL1.2 to SDL2. Otherwise, you can still use the onepad-legacy plugin but you need to ask gentoo to not abort when onepad can't be built.

In both case it is a Gentoo issue.
Reply
#3
It's the problem, i have the last version of SDL, and Gentoo community don't say why it's impossible to emerge 9999 version of PCSX2. Look this thread: https://forums.gentoo.org/viewtopic-t-1062704.html
Reply
#4
If I quote your thread.
Quote:All seems configured ok. wxGTK have sdl X use flags and pcsx2 is configured with option -DSDL2_API=FALSE.
Sorry but I have no idea of what could be
You can see that SDL2 is disabled. So you can't build onepad only onepad-legacy. However gentoo packager puts an abort when main plugins (i.e. onepad here) isn't built.

So either the gentoo packager removes the abort. Or "-DSDL2_API=FALSE" must be removed but in this case, wxWidget must be recompiled with SDL2 or no SDL (because SDL is useless on WX).
Reply
#5
Note: if you recompile wxwidget yourself
Quote:[ebuild R ] x11-libs/wxGTK-3.0.2.0-r2:3.0::gentoo USE="X gstreamer libnotify opengl sdl tiff (-aqua) -debug -doc -webkit" ABI_X86="32 (64) (-x32)" 0 KiB
Remove the "sdl" of the USE flag.
Reply
#6
Oh okay, i test that.
I remove useflag only for this package i think ?
Reply
#7
Yes. WxWidget allow to replace some sound plugin with SDL code. But nobody use it. So just avoid the extra dependency.

Then you need to remove the PCSX2 option "-DSDL2_API=FALSE"

And if it works fine as it should. Please post the answer in the gentoo forum. I'm sure more people will complain soon Smile
Reply
#8
I have removed SDL useflag for x11-libs/wxGTK package, but when i would like to emerge 9999 version of PCSX2, i have the same problem...
Reply
#9
Yes because the main issue is this PCSX2 flag "-DSDL2_API=FALSE". As I said the gentoo package forces SDL1 but PCSX2 requires SDL2.

You still need to remove wxwidget SDL flag because you can't have wx linked with SDL1 and PCSX2 linked with both wx and SDL2.
Reply
#10
But that's what I just did!
Reply




Users browsing this thread: 1 Guest(s)